Skip to main content
GET
/
v1
/
plans
List plans
curl --request GET \
  --url https://api.bondio.co/v1/plans \
  --header 'Authorization: Bearer <token>'
{
  "nextPage": "<string>",
  "items": [
    {
      "id": "<string>",
      "name": "<string>",
      "dataMegaBytes": 123,
      "voiceMinutes": 123,
      "smsMessages": 123,
      "periodDays": 123,
      "periodIterations": 1,
      "throttledSpeedKbps": 0,
      "archivedAt": 123,
      "label": "<string>",
      "coverage": {
        "id": "<string>",
        "name": "<string>",
        "label": "<string>",
        "countries": [
          {
            "name": "<string>",
            "iso2": "<string>",
            "iso3": "<string>",
            "indicator": "<string>",
            "operators": [
              {
                "name": "<string>",
                "supportedRats": [
                  "<string>"
                ]
              }
            ]
          }
        ]
      },
      "createdAt": 123
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

searchQuery
string

Query to search the plans by name

archived
boolean

When true, only archived plans are returned. When false, only non archived plans are returned. When absent all are returned.

page
string

A cursor for pagination across multiple pages of results. Don’t include this parameter on the first call.

pageSize
integer
default:10

Number of items to be returned in a single page

Required range: 1 <= x <= 25
countryIso2
string

Comma separated list of countryIso2 e.g. countryIso2=FR,IN

Response

200 - application/json

List of plans is returned.

nextPage
string | null
items
Plan · object[]